#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace std;
using namespace __gnu_pbds;
#define PI acos(-1)
#define LSB(i) ((i) & -(i))
#define ll long long
#define pb push_back
#define mp make_pair
#define mt make_tuple
#define fi first
#define sc second
#define th third
#define fo fourth
#define pii pair<int,int>
#define pll pair<ll,ll>
#define ldb double
#define INF 1e15
#define MOD 1000000007
#define endl "\n"

#define all(data)       data.begin(),data.end()
#define TYPEMAX(type)   std::numeric_limits<type>::max()
#define TYPEMIN(type)   std::numeric_limits<type>::min()
#define MAXN 10007
ll h[MAXN];
int main()
{
    ios::sync_with_stdio(false); cin.tie(0);
    ll n,l; cin>>n>>l;
    for(int i=1;i<=n;i++) cin>>h[i];
    ll idx=-1;
    for(int i=1;i<=n;i++)
    {
        if(h[i]<=l) {idx=i; break;}
    }
    cout<<idx<<endl;
    return 0;
}